Subject: Re: [PATCH 1/3] perf/e6500: Make event translations available in sysfs

From: Ingo Molnar <[email-masked]>
Date: Mon, 9 Feb 2015 14:25:57 +0100

* Jiri Olsa <[email-masked]> wrote:

> On Mon, Feb 09, 2015 at 11:07:38AM +0100, Ingo Molnar wrote:
> > 
> > * Peter Zijlstra <[email-masked]> wrote:
> > 
> > > On Fri, Feb 06, 2015 at 04:43:54PM -0600, Tom Huynh wrote:
> > > >  arch/powerpc/perf/e6500-events-list.h         | 289 ++++++++++++++++++++++++++
> > > 
> > > That's a lot of events to stuff in the kernel, would a 
> > > userspace list not be more convenient?
> > > 
> > > ISTR there being various discussions on providing support 
> > > for that in tools/perf, Jiri?
> > 
> > As long as it's in a single well organized place in tools/, 
> > I'd be fine with that solution as well.
> > 
> > What doesn't work very well is disjunct, disorganized, 
> > inconsistent event descriptions all across the tooling and 
> > platform landscape - putting static tables into sysfs is a 
> > marked improvement over that, despite its memory usage.
> 
> the last version is in here:
> http://marc.info/?l=linux-kernel&m=140676269017820&w=2
> 
> AFAIK Andi is setting up the download area as discussed 
> in the thread and should repost at some point

I'll NAK any external 'download area' (and I told that Andi 
before): tools/perf/event-tables/ or so is a good enough 
'download area' with fast enough update cycles.

If any 'update' of event descriptions is needed it can 
happen through the distro package mechanism, or via a 
simple 'git pull' if it's compiled directly.

Lets not overengineer this with any dependence on an 
external site and with a separate update mechanism - lets 
just get the tables into tools/ and see it from there...

Thanks,

	Ingo